opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
CvBlobTrackAnalysis Class Referenceabstract

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackAnalysis:

## Public Member Functions
virtual void | AddBlob (CvBlob *pBlob)=0
| CvBlobTrackAnalysis ()
virtual float | GetState (int BlobID)=0
virtual const char * | GetStateDesc (int)
virtual void | Process (IplImage *pImg, IplImage *pFG)=0
virtual void | Release ()=0
virtual void | SetFileName (char *)
Public Member Functions inherited from CvVSModule
| CvVSModule ()
char * | GetModuleName ()
const char * | GetNickName ()
double | GetParam (const char *name)
const char * | GetParamComment (const char *name)
const char * | GetParamName (int index)
const char * | GetParamStr (const char *name)
const char * | GetTypeName ()
int | IsModuleName (const char *name)
int | IsModuleTypeName (const char *name)
virtual void | LoadState (CvFileStorage *, CvFileNode *)
virtual void | ParamUpdate ()
virtual void | SaveState (CvFileStorage *)
void | SetNickName (const char *pStr)
void | SetParam (const char *name, double val)
void | SetParamStr (const char *name, const char *str)
void | TransferParamsFromChild (CvVSModule *pM, const char *prefix=NULL)
void | TransferParamsToChild (CvVSModule *pM, char *prefix=NULL)
virtual | ~CvVSModule ()

## Additional Inherited Members
Protected Member Functions inherited from CvVSModule
void | AddParam (const char *name, double *pAddr)
void | AddParam (const char *name, float *pAddr)
void | AddParam (const char *name, int *pAddr)
void | AddParam (const char *name, const char **pAddr)
void | AddParam (const char *name)
void | CommentParam (const char *name, const char *pComment)
void | DelParam (const char *name)
int | IsParam (const char *name)
void | SetModuleName (const char *name)
void | SetTypeName (const char *name)
Protected Attributes inherited from CvVSModule
int | m_Wnd

## Constructor & Destructor Documentation

CvBlobTrackAnalysis::CvBlobTrackAnalysis | ( |  | ) |
| inline

## Member Function Documentation

virtual void CvBlobTrackAnalysis::AddBlob | ( | CvBlob * | pBlob | ) |
| pure virtual

virtual float CvBlobTrackAnalysis::GetState | ( | int | BlobID | ) |
| pure virtual

virtual const char* CvBlobTrackAnalysis::GetStateDesc | ( | int |  | ) |
| inline virtual

virtual void CvBlobTrackAnalysis::Process | ( | IplImage * | pImg,
|  | IplImage * | pFG
| ) |  |
| pure virtual

virtual void CvBlobTrackAnalysis::Release | ( |  | ) |
| pure virtual

Implements CvVSModule.

virtual void CvBlobTrackAnalysis::SetFileName | ( | char * |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp